restinio::acceptor_options_t Class Reference

An adapter for setting acceptor options before running server. More...

`#include <settings.hpp>`

## Public Member Functions

| acceptor_options_t (asio_ns::ip::tcp::acceptor &acceptor)
template<typename Option >
void | set_option (const Option &option)
| API for setting/getting options. More...
template<typename Option >
void | set_option (const Option &option, asio_ns::error_code &ec)
template<typename Option >
void | get_option (Option &option)
template<typename Option >
void | get_option (Option &option, asio_ns::error_code &ec)

## Private Attributes

asio_ns::ip::tcp::acceptor & | m_acceptor

## Detailed Description

An adapter for setting acceptor options before running server.

Class hides an acceptor object and opens only set/get options API. It is used as an argument for a user defined function-object that can set custom options for acceptor.

Definition at line 184 of file settings.hpp.

## Constructor & Destructor Documentation

## acceptor_options_t()

restinio::acceptor_options_t::acceptor_options_t | ( | asio_ns::ip::tcp::acceptor & | acceptor | ) |

inline

Definition at line 187 of file settings.hpp.

## Member Function Documentation

## get_option() [1/2]

template<typename Option >

void restinio::acceptor_options_t::get_option | ( | Option & | option | ) |

inline

Definition at line 209 of file settings.hpp.

## get_option() [2/2]

template<typename Option >

void restinio::acceptor_options_t::get_option | ( | Option & | option,
|  | asio_ns::error_code & | ec
| ) |  |

inline

Definition at line 216 of file settings.hpp.

## set_option() [1/2]

template<typename Option >

void restinio::acceptor_options_t::set_option | ( | const Option & | option | ) |

inline

API for setting/getting options.

Definition at line 195 of file settings.hpp.

## set_option() [2/2]

template<typename Option >

void restinio::acceptor_options_t::set_option | ( | const Option & | option,
|  | asio_ns::error_code & | ec
| ) |  |

inline

Definition at line 202 of file settings.hpp.

## Member Data Documentation

## m_acceptor

asio_ns::ip::tcp::acceptor& restinio::acceptor_options_t::m_acceptor

private

Definition at line 223 of file settings.hpp.

The documentation for this class was generated from the following file:

- restinio/settings.hpp